Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Interface HtmlColor

public interface HtmlColor

Encapsulation class for color names that are part of the HTML specification. Most browsers that deal with color understand the color names in this class. Or you can use a hex six-letter value of an RGB color, for example, HtmlColor.white is the same as #FFFFFF.

Author:
  Copyright (c) 1996 by WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `aliceblue` Deprecated.
`static java.lang.String` | `antiquewhite` Deprecated.
`static java.lang.String` | `aqua` Deprecated.
`static java.lang.String` | `aquamarine` Deprecated.
`static java.lang.String` | `azure` Deprecated.
`static java.lang.String` | `beige` Deprecated.
`static java.lang.String` | `bisque` Deprecated.
`static java.lang.String` | `black` Deprecated.
`static java.lang.String` | `blanchedalmond` Deprecated.
`static java.lang.String` | `blue` Deprecated.
`static java.lang.String` | `blueviolet` Deprecated.
`static java.lang.String` | `brown` Deprecated.
`static java.lang.String` | `burlywood` Deprecated.
`static java.lang.String` | `cadetblue` Deprecated.
`static java.lang.String` | `chartreuse` Deprecated.
`static java.lang.String` | `chocolate` Deprecated.
`static java.lang.String` | `coral` Deprecated.
`static java.lang.String` | `cornflowerblue` Deprecated.
`static java.lang.String` | `cornsilk` Deprecated.
`static java.lang.String` | `crimson` Deprecated.
`static java.lang.String` | `cyan` Deprecated.
`static java.lang.String` | `darkblue` Deprecated.
`static java.lang.String` | `darkcyan` Deprecated.
`static java.lang.String` | `darkgoldenrod` Deprecated.
`static java.lang.String` | `darkgray` Deprecated.
`static java.lang.String` | `darkgreen` Deprecated.
`static java.lang.String` | `darkkhaki` Deprecated.
`static java.lang.String` | `darkmagenta` Deprecated.
`static java.lang.String` | `darkolivegreen` Deprecated.
`static java.lang.String` | `darkorange` Deprecated.
`static java.lang.String` | `darkorchid` Deprecated.
`static java.lang.String` | `darkred` Deprecated.
`static java.lang.String` | `darksalmon` Deprecated.
`static java.lang.String` | `darkseagreen` Deprecated.
`static java.lang.String` | `darkslateblue` Deprecated.
`static java.lang.String` | `darkslategray` Deprecated.
`static java.lang.String` | `darkturquoise` Deprecated.
`static java.lang.String` | `darkviolet` Deprecated.
`static java.lang.String` | `deeppink` Deprecated.
`static java.lang.String` | `deepskyblue` Deprecated.
`static java.lang.String` | `dimgray` Deprecated.
`static java.lang.String` | `dodgerblue` Deprecated.
`static java.lang.String` | `firebrick` Deprecated.
`static java.lang.String` | `floralwhite` Deprecated.
`static java.lang.String` | `forestgreen` Deprecated.
`static java.lang.String` | `fuchsia` Deprecated.
`static java.lang.String` | `gainsboro` Deprecated.
`static java.lang.String` | `ghostwhite` Deprecated.
`static java.lang.String` | `gold` Deprecated.
`static java.lang.String` | `goldenrod` Deprecated.
`static java.lang.String` | `gray` Deprecated.
`static java.lang.String` | `green` Deprecated.
`static java.lang.String` | `greenyellow` Deprecated.
`static java.lang.String` | `honeydew` Deprecated.
`static java.lang.String` | `hotpink` Deprecated.
`static java.lang.String` | `indianred` Deprecated.
`static java.lang.String` | `indigo` Deprecated.
`static java.lang.String` | `ivory` Deprecated.
`static java.lang.String` | `khaki` Deprecated.
`static java.lang.String` | `lavender` Deprecated.
`static java.lang.String` | `lavenderblush` Deprecated.
`static java.lang.String` | `lawngreen` Deprecated.
`static java.lang.String` | `lemonchiffon` Deprecated.
`static java.lang.String` | `lightblue` Deprecated.
`static java.lang.String` | `lightcoral` Deprecated.
`static java.lang.String` | `lightcyan` Deprecated.
`static java.lang.String` | `lightgoldenrodyellow` Deprecated.
`static java.lang.String` | `lightgreen` Deprecated.
`static java.lang.String` | `lightgrey` Deprecated.
`static java.lang.String` | `lightpink` Deprecated.
`static java.lang.String` | `lightsalmon` Deprecated.
`static java.lang.String` | `lightseagreen` Deprecated.
`static java.lang.String` | `lightskyblue` Deprecated.
`static java.lang.String` | `lightslategray` Deprecated.
`static java.lang.String` | `lightsteelblue` Deprecated.
`static java.lang.String` | `lightyellow` Deprecated.
`static java.lang.String` | `lime` Deprecated.
`static java.lang.String` | `limegreen` Deprecated.
`static java.lang.String` | `linen` Deprecated.
`static java.lang.String` | `magenta` Deprecated.
`static java.lang.String` | `maroon` Deprecated.
`static java.lang.String` | `mediumaquamarine` Deprecated.
`static java.lang.String` | `mediumblue` Deprecated.
`static java.lang.String` | `mediumorchid` Deprecated.
`static java.lang.String` | `mediumpurple` Deprecated.
`static java.lang.String` | `mediumseagreen` Deprecated.
`static java.lang.String` | `mediumslateblue` Deprecated.
`static java.lang.String` | `mediumspringgreen` Deprecated.
`static java.lang.String` | `mediumturquoise` Deprecated.
`static java.lang.String` | `mediumvioletred` Deprecated.
`static java.lang.String` | `midnightblue` Deprecated.
`static java.lang.String` | `mintcream` Deprecated.
`static java.lang.String` | `mistyrose` Deprecated.
`static java.lang.String` | `moccasin` Deprecated.
`static java.lang.String` | `navajowhite` Deprecated.
`static java.lang.String` | `navy` Deprecated.
`static java.lang.String` | `oldlace` Deprecated.
`static java.lang.String` | `olive` Deprecated.
`static java.lang.String` | `olivedrab` Deprecated.
`static java.lang.String` | `orange` Deprecated.
`static java.lang.String` | `orangered` Deprecated.
`static java.lang.String` | `orchid` Deprecated.
`static java.lang.String` | `palegoldenrod` Deprecated.
`static java.lang.String` | `palegreen` Deprecated.
`static java.lang.String` | `paleturquoise` Deprecated.
`static java.lang.String` | `palevioletred` Deprecated.
`static java.lang.String` | `papayawhip` Deprecated.
`static java.lang.String` | `peachpuff` Deprecated.
`static java.lang.String` | `peru` Deprecated.
`static java.lang.String` | `pink` Deprecated.
`static java.lang.String` | `plum` Deprecated.
`static java.lang.String` | `powderblue` Deprecated.
`static java.lang.String` | `purple` Deprecated.
`static java.lang.String` | `red` Deprecated.
`static java.lang.String` | `rosybrown` Deprecated.
`static java.lang.String` | `royalblue` Deprecated.
`static java.lang.String` | `saddlebrown` Deprecated.
`static java.lang.String` | `salmon` Deprecated.
`static java.lang.String` | `sandybrown` Deprecated.
`static java.lang.String` | `seagreen` Deprecated.
`static java.lang.String` | `seashell` Deprecated.
`static java.lang.String` | `sienna` Deprecated.
`static java.lang.String` | `silver` Deprecated.
`static java.lang.String` | `skyblue` Deprecated.
`static java.lang.String` | `slateblue` Deprecated.
`static java.lang.String` | `slategray` Deprecated.
`static java.lang.String` | `snow` Deprecated.
`static java.lang.String` | `springgreen` Deprecated.
`static java.lang.String` | `steelblue` Deprecated.
`static java.lang.String` | `tan` Deprecated.
`static java.lang.String` | `teal` Deprecated.
`static java.lang.String` | `thistle` Deprecated.
`static java.lang.String` | `tomato` Deprecated.
`static java.lang.String` | `turquoise` Deprecated.
`static java.lang.String` | `violet` Deprecated.
`static java.lang.String` | `wheat` Deprecated.
`static java.lang.String` | `white` Deprecated.
`static java.lang.String` | `whitesmoke` Deprecated.
`static java.lang.String` | `yellow` Deprecated.
`static java.lang.String` | `yellowgreen` Deprecated.

Field Detail

### aliceblue

    public static final java.lang.String aliceblue

  Deprecated.

### antiquewhite

    public static final java.lang.String antiquewhite

  Deprecated.

### aqua

    public static final java.lang.String aqua

  Deprecated.

### aquamarine

    public static final java.lang.String aquamarine

  Deprecated.

### azure

    public static final java.lang.String azure

  Deprecated.

### beige

    public static final java.lang.String beige

  Deprecated.

### bisque

    public static final java.lang.String bisque

  Deprecated.

### black

    public static final java.lang.String black

  Deprecated.

### blanchedalmond

    public static final java.lang.String blanchedalmond

  Deprecated.

### blue

    public static final java.lang.String blue

  Deprecated.

### blueviolet

    public static final java.lang.String blueviolet

  Deprecated.

### brown

    public static final java.lang.String brown

  Deprecated.

### burlywood

    public static final java.lang.String burlywood

  Deprecated.

### cadetblue

    public static final java.lang.String cadetblue

  Deprecated.

### chartreuse

    public static final java.lang.String chartreuse

  Deprecated.

### chocolate

    public static final java.lang.String chocolate

  Deprecated.

### coral

    public static final java.lang.String coral

  Deprecated.

### cornflowerblue

    public static final java.lang.String cornflowerblue

  Deprecated.

### cornsilk

    public static final java.lang.String cornsilk

  Deprecated.

### crimson

    public static final java.lang.String crimson

  Deprecated.

### cyan

    public static final java.lang.String cyan

  Deprecated.

### darkblue

    public static final java.lang.String darkblue

  Deprecated.

### darkcyan

    public static final java.lang.String darkcyan

  Deprecated.

### darkgoldenrod

    public static final java.lang.String darkgoldenrod

  Deprecated.

### darkgray

    public static final java.lang.String darkgray

  Deprecated.

### darkgreen

    public static final java.lang.String darkgreen

  Deprecated.

### darkkhaki

    public static final java.lang.String darkkhaki

  Deprecated.

### darkmagenta

    public static final java.lang.String darkmagenta

  Deprecated.

### darkolivegreen

    public static final java.lang.String darkolivegreen

  Deprecated.

### darkorange

    public static final java.lang.String darkorange

  Deprecated.

### darkorchid

    public static final java.lang.String darkorchid

  Deprecated.

### darkred

    public static final java.lang.String darkred

  Deprecated.

### darksalmon

    public static final java.lang.String darksalmon

  Deprecated.

### darkseagreen

    public static final java.lang.String darkseagreen

  Deprecated.

### darkslateblue

    public static final java.lang.String darkslateblue

  Deprecated.

### darkslategray

    public static final java.lang.String darkslategray

  Deprecated.

### darkturquoise

    public static final java.lang.String darkturquoise

  Deprecated.

### darkviolet

    public static final java.lang.String darkviolet

  Deprecated.

### deeppink

    public static final java.lang.String deeppink

  Deprecated.

### deepskyblue

    public static final java.lang.String deepskyblue

  Deprecated.

### dimgray

    public static final java.lang.String dimgray

  Deprecated.

### dodgerblue

    public static final java.lang.String dodgerblue

  Deprecated.

### firebrick

    public static final java.lang.String firebrick

  Deprecated.

### floralwhite

    public static final java.lang.String floralwhite

  Deprecated.

### forestgreen

    public static final java.lang.String forestgreen

  Deprecated.

### fuchsia

    public static final java.lang.String fuchsia

  Deprecated.

### gainsboro

    public static final java.lang.String gainsboro

  Deprecated.

### ghostwhite

    public static final java.lang.String ghostwhite

  Deprecated.

### gold

    public static final java.lang.String gold

  Deprecated.

### goldenrod

    public static final java.lang.String goldenrod

  Deprecated.

### gray

    public static final java.lang.String gray

  Deprecated.

### green

    public static final java.lang.String green

  Deprecated.

### greenyellow

    public static final java.lang.String greenyellow

  Deprecated.

### honeydew

    public static final java.lang.String honeydew

  Deprecated.

### hotpink

    public static final java.lang.String hotpink

  Deprecated.

### indianred

    public static final java.lang.String indianred

  Deprecated.

### indigo

    public static final java.lang.String indigo

  Deprecated.

### ivory

    public static final java.lang.String ivory

  Deprecated.

### khaki

    public static final java.lang.String khaki

  Deprecated.

### lavender

    public static final java.lang.String lavender

  Deprecated.

### lavenderblush

    public static final java.lang.String lavenderblush

  Deprecated.

### lawngreen

    public static final java.lang.String lawngreen

  Deprecated.

### lemonchiffon

    public static final java.lang.String lemonchiffon

  Deprecated.

### lightblue

    public static final java.lang.String lightblue

  Deprecated.

### lightcoral

    public static final java.lang.String lightcoral

  Deprecated.

### lightcyan

    public static final java.lang.String lightcyan

  Deprecated.

### lightgoldenrodyellow

    public static final java.lang.String lightgoldenrodyellow

  Deprecated.

### lightgreen

    public static final java.lang.String lightgreen

  Deprecated.

### lightgrey

    public static final java.lang.String lightgrey

  Deprecated.

### lightpink

    public static final java.lang.String lightpink

  Deprecated.

### lightsalmon

    public static final java.lang.String lightsalmon

  Deprecated.

### lightseagreen

    public static final java.lang.String lightseagreen

  Deprecated.

### lightskyblue

    public static final java.lang.String lightskyblue

  Deprecated.

### lightslategray

    public static final java.lang.String lightslategray

  Deprecated.

### lightsteelblue

    public static final java.lang.String lightsteelblue

  Deprecated.

### lightyellow

    public static final java.lang.String lightyellow

  Deprecated.

### lime

    public static final java.lang.String lime

  Deprecated.

### limegreen

    public static final java.lang.String limegreen

  Deprecated.

### linen

    public static final java.lang.String linen

  Deprecated.

### magenta

    public static final java.lang.String magenta

  Deprecated.

### maroon

    public static final java.lang.String maroon

  Deprecated.

### mediumaquamarine

    public static final java.lang.String mediumaquamarine

  Deprecated.

### mediumblue

    public static final java.lang.String mediumblue

  Deprecated.

### mediumorchid

    public static final java.lang.String mediumorchid

  Deprecated.

### mediumpurple

    public static final java.lang.String mediumpurple

  Deprecated.

### mediumseagreen

    public static final java.lang.String mediumseagreen

  Deprecated.

### mediumslateblue

    public static final java.lang.String mediumslateblue

  Deprecated.

### mediumspringgreen

    public static final java.lang.String mediumspringgreen

  Deprecated.

### mediumturquoise

    public static final java.lang.String mediumturquoise

  Deprecated.

### mediumvioletred

    public static final java.lang.String mediumvioletred

  Deprecated.

### midnightblue

    public static final java.lang.String midnightblue

  Deprecated.

### mintcream

    public static final java.lang.String mintcream

  Deprecated.

### mistyrose

    public static final java.lang.String mistyrose

  Deprecated.

### moccasin

    public static final java.lang.String moccasin

  Deprecated.

### navajowhite

    public static final java.lang.String navajowhite

  Deprecated.

### navy

    public static final java.lang.String navy

  Deprecated.

### oldlace

    public static final java.lang.String oldlace

  Deprecated.

### olive

    public static final java.lang.String olive

  Deprecated.

### olivedrab

    public static final java.lang.String olivedrab

  Deprecated.

### orange

    public static final java.lang.String orange

  Deprecated.

### orangered

    public static final java.lang.String orangered

  Deprecated.

### orchid

    public static final java.lang.String orchid

  Deprecated.

### palegoldenrod

    public static final java.lang.String palegoldenrod

  Deprecated.

### palegreen

    public static final java.lang.String palegreen

  Deprecated.

### paleturquoise

    public static final java.lang.String paleturquoise

  Deprecated.

### palevioletred

    public static final java.lang.String palevioletred

  Deprecated.

### papayawhip

    public static final java.lang.String papayawhip

  Deprecated.

### peachpuff

    public static final java.lang.String peachpuff

  Deprecated.

### peru

    public static final java.lang.String peru

  Deprecated.

### pink

    public static final java.lang.String pink

  Deprecated.

### plum

    public static final java.lang.String plum

  Deprecated.

### powderblue

    public static final java.lang.String powderblue

  Deprecated.

### purple

    public static final java.lang.String purple

  Deprecated.

### red

    public static final java.lang.String red

  Deprecated.

### rosybrown

    public static final java.lang.String rosybrown

  Deprecated.

### royalblue

    public static final java.lang.String royalblue

  Deprecated.

### saddlebrown

    public static final java.lang.String saddlebrown

  Deprecated.

### salmon

    public static final java.lang.String salmon

  Deprecated.

### sandybrown

    public static final java.lang.String sandybrown

  Deprecated.

### seagreen

    public static final java.lang.String seagreen

  Deprecated.

### seashell

    public static final java.lang.String seashell

  Deprecated.

### sienna

    public static final java.lang.String sienna

  Deprecated.

### silver

    public static final java.lang.String silver

  Deprecated.

### skyblue

    public static final java.lang.String skyblue

  Deprecated.

### slateblue

    public static final java.lang.String slateblue

  Deprecated.

### slategray

    public static final java.lang.String slategray

  Deprecated.

### snow

    public static final java.lang.String snow

  Deprecated.

### springgreen

    public static final java.lang.String springgreen

  Deprecated.

### steelblue

    public static final java.lang.String steelblue

  Deprecated.

### tan

    public static final java.lang.String tan

  Deprecated.

### teal

    public static final java.lang.String teal

  Deprecated.

### thistle

    public static final java.lang.String thistle

  Deprecated.

### tomato

    public static final java.lang.String tomato

  Deprecated.

### turquoise

    public static final java.lang.String turquoise

  Deprecated.

### violet

    public static final java.lang.String violet

  Deprecated.

### wheat

    public static final java.lang.String wheat

  Deprecated.

### white

    public static final java.lang.String white

  Deprecated.

### whitesmoke

    public static final java.lang.String whitesmoke

  Deprecated.

### yellow

    public static final java.lang.String yellow

  Deprecated.

### yellowgreen

    public static final java.lang.String yellowgreen

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD